
  %MACRO cleanup_all(dp_cd_list=, tbl_name_sh_list=, file_nm_lst=files_done.ok);

       /* 20170131. Ver 2*/
   /*
	  	%LET dp_cd_list=1 2 3;
		%LET prefix0=dr1_;

          * Should not include 0 in the dp_cd_list. s added inside the macro;

  	        %cleanup_all(dp_cd_list=&dp_cd_list.
                                        , tbl_name_sh_list=vars_nm_value_pairs: 
                                        , file_nm_lst=files_done.ok job_done.ok job_fail.ok);
  */

  	     %PUT;
	     %PUT -----   Start of the macro cleanup_all;
		 %PUT;

		  %GLOBAL m_return_cd  DEBUG_FLAG2 ;	

%LOCAL _DEBUG_OPTIONS_L ;
 %LET _DEBUG_OPTIONS_L=%sysfunc(getoption(symbolgen)) %sysfunc(getoption(mprint)) %sysfunc(getoption(mlogic)) %sysfunc(getoption(notes)) %sysfunc(getoption(source)) %sysfunc(getoption(source2));	
 %IF &DEBUG_FLAG2. NE Y %THEN %DO;OPTIONS NOMLOGIC NOMPRINT NOSYMBOLGEN  NOSOURCE NOSOURCE2; %END;

	   %LOCAL dp_cd dp_cd_list_with_ac 
                     dir_in dir_out dir_dpl lib_in lib_out lib_dpl
                     count_dp count_files i j tmp_file_nm;

	    %LET  dp_cd_list_with_ac=0 &dp_cd_list;

	    %LET count_dp=%sysfunc(countw(&dp_cd_list_with_ac.," "));
	    %LET count_files=%sysfunc(countw(&file_nm_lst.," "));

		 %DO i=1 %TO &count_dp.;

		 %LET dir_in=;
		 %LET dir_out=;
		 %LET dir_dp=;
		 %LET lib_in=;
		 %LET lib_out=;
		 %LET lib_dp=;

	/* Macro variable &msoc1, &msoc2, &msoc3 ... has to be defined outside the macro 
		 	and correspomding dir exists 
  */
				   %LET dp_cd=%scan(&dp_cd_list_with_ac.,&i.," ");

				   	%PUT dp_cd=&dp_cd;

				   %IF &dp_cd.=0 %THEN
					                   %DO;
	  %cleanup_dp_msoc(dp_cd_list=&dp_cd_list.
                                        , tbl_name_sh_list=&tbl_name_sh_list. 
                                        , file_nm_lst=&file_nm_lst.);	         
							           %END;
 
						    %LET dir_in=&&&infolder_dp&dp_cd.;
							%LET lib_in=inf_dp&dp_cd.;
							%LET dir_out=&&&msoc_dp&dp_cd.;
							%LET lib_out=mso_dp&dp_cd.;
							%LET dir_dpl=&&&dplocal_dp&dp_cd.;
							%LET lib_dpl=dpl_dp&dp_cd.;

					%PUT dir_in=&dir_in.;
                    %PUT dir_out=&dir_out.; 
					 %PUT dir_dpl=&dir_dpl.; 

	             %DO j=1 %TO &count_files.;	

				    %LET  tmp_file_nm=%scan(&file_nm_lst.,&j.," ");

				
	                %delete_ext_file(file_name=&dir_in.&tmp_file_nm.);
					%delete_ext_file(file_name=&dir_out.&tmp_file_nm.);
					%delete_ext_file(file_name=&dir_dpl.&tmp_file_nm.);

	               %END;   /* End of  do-loop   j=1 %TO &count_files. */
				  
                    %delete_sas_tables(lib=&lib_in. ,tbl_name_sh_list=&tbl_name_sh_list.);
				    %delete_sas_tables(lib=&lib_out. ,tbl_name_sh_list=&tbl_name_sh_list.);
					%delete_sas_tables(lib=&lib_dpl. ,tbl_name_sh_list=&tbl_name_sh_list.);
 
    		 %END;	 /* End of  do-loop  i=1 %TO &count_dp. */


			 	  OPTIONS &_DEBUG_OPTIONS_L.;

	%PUT;
    %PUT -----   End of the macro cleanup_all;
	%PUT;

  %MEND;