
   %MACRO run_all_dps(dp_cd_list=,prg_nm_sh=,use_sysparm_dp_cd=1);
	 /*	Usage:

    %run_all_dps(dp_cd_list=&dp_cd_list. ,prg_nm_sh=run_d_reg_dp);

   %PUT rc_run_move_d_reg_files=&rc_run_move_d_reg_files.;
   %PUT rc_run_d_reg_central=&rc_run_d_reg_central.;
    %PUT run_d_reg_dp1=&rc_run_d_reg_dp1.;
    %PUT run_d_reg_dp2=&rc_run_d_reg_dp2.;
	%PUT run_d_reg_dp3=&rc_run_d_reg_dp3.;

     */

      %LOCAL count dp_cd sasprograms_tmp;

   %LET count=%SYSFUNC(COUNTW(&dp_cd_list.));

		   	  %DO i=1 %TO &count.;	

		  %LET dp_cd=%scan(&dp_cd_list.,&i.);

		  %IF &use_sysparm_dp_cd=1 %THEN %LET sysparm_l=&dp_cd.;
		  %ELSE                                                     %LET sysparm_l=;
  
		/*   %LET dp_cd=1;
		   %LET prg_nm_sh=run_d_reg_dp;
		 */
		   %LET sasprograms_tmp=&&sasprograms_dp&dp_cd.;
	  
          %PUT Starting program for dp_cd=&dp_cd.;

		  %sas_batch(dir_nm=&sasprograms_tmp., prg_nm_sh=&prg_nm_sh.
                                 ,taskname=run_d_reg_dp&dp_cd.
                                ,status=rc_run_d_reg_dp&dp_cd.
                                ,sysparm_l=&dp_cd.);

		      %END;

   %MEND;