
   %MACRO sas_batch(dir_nm=, prg_nm_sh=,taskname=,status=,sysparm_l=);

   /*  Usage:

	 %sas_batch(dir_nm=&sasprograms., prg_nm_sh=run_move_d_reg_files);
   */
     %LOCAL  sas_exe slash ;

	 %IF %LENGTH(&taskname.) =0 %THEN %LET taskname=&prg_nm_sh.;
	 %IF %LENGTH(&status.) =0 %THEN %LET status=rc_&prg_nm_sh.;
	 %IF %LENGTH(&sysparm_l.)  > 0 %THEN %LET sysparm_l=-SYSPARM &sysparm_l.;

	 %GLOBAL &status.;

	  %LET &status.=0;

          %LET slash=/;

			%IF &SYSSCP.=WIN %THEN %LET slash=\;
		      %ELSE 								  %LET slash=/;
	
			
		/* %LET sas_exe=""%sysget(sasroot)&slash.sas.exe"" ;*/

		 DATA  _NULL_;
		 LENGTH sas_exe $ 5000;
		  slash="&slash.";
		  dquote='"';
          sas_exe=CATS(dquote,dquote,sysget("sasroot"), slash,"sas.exe",dquote,dquote);
		  sas_exe=STRIP(sas_exe);
          CALL SYMPUT("sas_exe", STRIP(sas_exe ));
		 RUN;
          
    X "cd &dir_nm."  ;
        SYSTASK KILL &taskname.	;
		%LET sysrc=0;

%PUT dir_nm=&dir_nm.;
%PUT Executing: "&sas_exe. -sysin ""&prg_nm_sh..sas"" &sysparm_l.  -rsasuser -nosplash"
                             TASKNAME="&taskname." STATUS=&status. ;	

	 SYSTASK COMMAND "&sas_exe. -sysin ""&prg_nm_sh..sas"" &sysparm_l.  -rsasuser -nosplash"
                    TASKNAME="&taskname." STATUS=&status.;
     
      %IF &sysrc. NE 0 %THEN %PUT sysrc=&sysrc.;
		
   %MEND;

 
   