%MACRO delete_sas_tables(lib=,tbl_name_sh_list=, kill=);

/*	Usage:
	  %LET prefix0=dr2_;

   	%delete_sas_tables(tbl_name_sh_list=&prefix0.:)
     %delete_sas_tables(lib=msoc,tbl_name_sh_list=&prefix0.:)

*/
   
%GLOBAL  DEBUG_FLAG2 ;	

%LOCAL _DEBUG_OPTIONS_L ;
 %LET _DEBUG_OPTIONS_L=%sysfunc(getoption(symbolgen)) %sysfunc(getoption(mprint)) %sysfunc(getoption(mlogic)) %sysfunc(getoption(notes)) %sysfunc(getoption(source)) %sysfunc(getoption(source2));	
 %IF &DEBUG_FLAG2. NE Y %THEN %DO;OPTIONS NOMLOGIC NOMPRINT NOSYMBOLGEN  NOSOURCE NOSOURCE2; %END;

   %PUT;
   %PUT -----   Start of the macro delete_sas_tables;
   %PUT;
   
%PUT lib=&lib. tbl_name_sh_list=&tbl_name_sh_list. &kill.;
 
%IF %LENGTH(&lib.)>0 %THEN %LET lib=%STR(LIB=&lib.);
%IF %LENGTH(&tbl_name_sh_list.)>0 
  %THEN %LET tbl_name_sh_list=%STR(DELETE &tbl_name_sh_list.);

  %PUT The following existing SAS tables were deleted:;

PROC DATASETS &lib. &kill. NOLIST NOWARN  ;
	   &tbl_name_sh_list. ;
	   RUN;

   %PUT;
   %PUT -----   End of the macro delete_sas_tables;
   %PUT;

	  OPTIONS &_DEBUG_OPTIONS_L.;
%MEND;