
 %MACRO _t_loop_through_dp(prefix=r1_, dp_cd_list=1 2 3,runid=);

   %PUT;
  %PUT ------- Start of the macro _t_loop_through_dp ; 
     %PUT;

	%LOCAL infolder_dir  infolder_lib     msoc_lib      msoc_dir 
                   dplocal_dir   dplocal_lib	  data_in_dir data_in_lib
				   exit_after_each_iter  min_count_per_grp 
                   runid_return_dp_cd  runid_return_dp_msg max_runid_return_dp_cd ;
	%LOCAL dp_cd count i ;
	  %LET count=%SYSFUNC(COUNTW(&dp_cd_list.));

	   %LET max_runid_return_dp_cd=0;

	   	  %DO i=1 %TO &count.;	

		  %LET dp_cd=%scan(&dp_cd_list.,&i.);
		  %LET runid_return_dp_cd=0;
		  %LET runid_return_dp_msg=;

		       /* For Prod test_env_cd.=0 */
		  	%LET infolder_dir=&infolder.;
		   	%LET infolder_lib=infolder;
			%LET msoc_dir=&msoc.;
			%LET msoc_lib=msoc;
			%LET dplocal_dir=&dplocal.;
		   	%LET dplocal_lib=dplocal;
			%LET data_in_dir=&data_in.;
		   	%LET data_in_lib=data_in;
			%LET exit_after_each_iter=0;

		 	%IF  &test_env_cd.=1 %THEN
		                   			%DO;
			/*For test. Central dir structure */
			%LET msoc_lib=msoc&dp_cd.;
			%LET msoc_dir=&&msoc&dp_cd. ;
			%LET exit_after_each_iter=1;
		
			 /* Reset SAS automatic error variable. Will go to the DP's wrapper.   */
			%LET SYSCC=0; 
						   			%END;
				  /* Separate dir structure for every site by run sequentualy in the interactive mode */
			%ELSE %IF  &test_env_cd.=2	 %THEN
			                        %DO;
			%LET infolder_dir=&&&infolder_dp&dp_cd.;
		   	%LET infolder_lib=inf_dp&dp_cd.;
			%LET msoc_dir=&&&msoc_dp&dp_cd.;
			%LET msoc_lib=	mso_dp&dp_cd.;	
			%LET dplocal_dir=&&&dplocal_dp&dp_cd.;
		   	%LET dplocal_lib=dpl_dp&dp_cd.;
			%LET data_in_dir=&&&data_in_dp&dp_cd.;
		   	%LET data_in_lib=dat_dp&dp_cd.;
			%LET exit_after_each_iter=1;
									%END;

				   /*Will go DP's master wrapper */
			 /*%LET min_count_per_grp=6; */
	         /*%LET min_count_per_grp=1;*/

		  %dp_main(dp_cd=&dp_cd.);

/* The IF-condition is for testing enviroment only. 
In the prod enviroment the file is deleted inside the macro dp_main*/

  %IF &runid_return_dp_cd. >2000 %THEN %LET max_runid_return_dp_cd=&runid_return_dp_cd.;

 %IF &test_env_cd. =1   %THEN 
		     %DO;
	 %IF (&i.= &count.) /*AND &max_runid_return_dp_cd. <2000*/  %THEN
  											 %DO;
%delete_ext_file(file_name=&infolder_dir.files_done.ok, warning_flag=0);
%delete_sas_tables(lib=infolder, tbl_name_sh_list=vars_nm_value_pairs); 
											   %END;
	 %ELSE %IF &max_runid_return_dp_cd. >2000  %THEN
											   	 %DO;
     %delete_ext_file(file_name=&msoc_dir.files_done.ok);
											    %END;
		       %END;

		  %END;/* End of loop i=1 %TO &count.*/

		  %PUT;
		  %PUT ------- End of the macro _t_loop_through_dp ; 
 		   %PUT;
	%MEND;  /*_t_loop_through_dp	*/