
		%MACRO create_dir_structure_sites(dp_cd_list=1 2 3 
																     ,std_dir_list=
																	 ,sites_prg_root=
																	 ,MSReqID=
                                                                     );
		 /*  Usage:

	 %LET std_dir_list=data_in dplocal msoc inputfiles  sasprograms;
	   %create_dir_structure_sites(dp_cd_list=1 2 3 
													     ,std_dir_list=&std_dir_list.
													     ,sites_prg_root=&sites_prg_root.
														 ,MSReqID=&MSReqID.
                                                         );
   */

			 %LOCAL dp_cd count_dp count_dir i dir  tmp_dir;
	        %LET   count_dp=%SYSFUNC(COUNTW(&DP_CD_List.));
		    %LET count_dir=%SYSFUNC(COUNTW(&std_dir_list.));

			%IF &SYSSCP.=WIN %THEN %LET slash=\;
		      %ELSE 								  %LET slash=/;
			  /* create	standard SOC dir corresponding to each DP . */		  

	   	  %DO i=1 %TO &count_dp.;
			   %LET dp_cd=%SCAN(&DP_CD_List.,&i.);
		 	   /* Request root for DP sites directories */
	   %LET  tmp_dir=&sites_prg_root.dp&dp_cd.&slash.&MSReqID.&slash.;	 
			  %chk_dir(&tmp_dir.);
		   	    
			   %DO j=1 %TO &count_dir.;
			    	%LET tmp_sub_dir=%SCAN(&std_dir_list., &j.);
				   %LET tmp_dir2=&tmp_dir.&tmp_sub_dir.&slash.;

					 %PUT;
					 %PUT tmp_sub_dir=&tmp_sub_dir.;
					 %PUT;

					  %chk_dir(&tmp_dir2);

					  %IF &tmp_sub_dir=inputfiles %THEN
						         %DO;
						%GLOBAL infolder_dp&dp_cd.  sasmacr_dp&dp_cd.;
					    %LET infolder_dp&dp_cd.=&tmp_dir2.;
						%LET sasmacr_dp&dp_cd.=&tmp_dir2.macros&slash.;
					%PUT;
					 %PUT infolder_dp&dp_cd.=&&&infolder_dp&dp_cd.;
					 %PUT sasmacr_dp&dp_cd.=&&&sasmacr_dp&dp_cd.;
					 %PUT;
						%chk_dir(&&&sasmacr_dp&dp_cd.);

					  %LET tmp_lib=inf_dp&dp_cd.;

					/*	%IF &dp_cd.=0 %THEN %LET tmp_lib=infolder;	*/
						

						   LIBNAME &tmp_lib. "&&&infolder_dp&dp_cd.";
								 %END;
					%ELSE
					               %DO;
						%GLOBAL &tmp_sub_dir._dp&dp_cd.;
						%LET   &tmp_sub_dir._dp&dp_cd.=&tmp_dir2.;
						%PUT  &tmp_sub_dir._dp&dp_cd.=&&&tmp_sub_dir._dp&dp_cd.; 
				  %IF &&tmp_sub_dir. NE sasprograms %THEN
				                                         %DO;

							%LET tmp_lib=%SUBSTR(&tmp_sub_dir.,1,3)_dp&dp_cd.;
					/*	%IF &dp_cd.=0 AND &tmp_sub_dir. NE data_in %THEN %LET tmp_lib=&tmp_sub_dir.;  */
					
						LIBNAME  &tmp_lib. "&&&tmp_sub_dir._dp&dp_cd.";
						                                %END;
					     			   %END;
				 %END;
		  %END;	
		%MEND;

 