
%LET dp_cd=0; 

*%INCLUDE "J:\prshare\MSCDM\PRG\Mod_Prg_Physical_MSCDM\_Dev\Distributed_Regression\ver1\inputfiles\macros\parms_file.sas";

%LET sites_prg_root=%STR(F:\ASPE\Publications\Statistical Software Manuscripts\Testing Package 2019\Test 2\);
%INCLUDE "&sites_prg_root.parms_file2.sas";

options obs=MAX ;
options nosyntaxcheck ;
options merror serror ;
options dkricond=error dkrocond=error mergenoby=warn;
options dsoptions=nonote2err noquotelenmax ;
options reuse=no ;

OPTIONS NOXWAIT NOXSYNC;


/* Define Workplan Specific Subdirectories */
%let DPLOCAL = &_root_dplocal.&MSReqID.&slash.dplocal&slash. ; 
%let MSOC = &_root_msoc.&MSReqID.&slash.msoc&slash. ;            
%let INFOLDER = &_root_inputfiles.&MSReqID.&slash.inputfiles&slash. ;  
%let SASPROGRAMS = &_root_sasprograms.&MSReqID.&slash.sasprograms&slash. ;
 
*For Testing; 
      *%LET SASMACR=&prj_dev_root.&mod_prg_nm.&slash.inputfiles&slash.macros&slash.; 
 *%LET SASMACR=&mod_prg_root.inputfiles&slash.macros&slash.; 
/*For Production*/
%let SASMACR=&Infolder.macros/;

	%include "&sasmacr.create_dir_structure_sites_v2.sas" ;
	%include  "&sasmacr.sas_batch.sas" ; 
	 %include  "&sasmacr.run_all_dps.sas" ;
	 %include "&sasmacr.chk_dir.sas";

	 %LET std_dir_list=data_in dplocal msoc inputfiles  sasprograms;

 %create_dir_structure_sites(dp_cd_list=0 &dp_cd_list. 
													     ,std_dir_list=&std_dir_list.
													     ,sites_prg_root=&sites_prg_root.
														 ,MSReqID=&MSReqID.
                                                         );
/*
OPTION NOSYMBOLGEN;
OPTIONS NOMPRINT;
OPTIONS NOMLOGIC  ;

 OPTIONS MPRINT;
OPTIONS MLOGIC  ;
OPTIONS SYMBOLGEN;
*/
   
	%GLOBAL rc_run_move_d_reg_files 
                      rc_run_d_reg_central 
                      rc_run_d_reg_dp1
                     rc_run_d_reg_dp2
                     rc_run_d_reg_dp3;

    %LET rc_run_move_d_reg_files=0;
    %LET rc_run_d_reg_central=0;
    %LET rc_run_d_reg_dp1=0;
    %LET rc_run_d_reg_dp2=0;
    %LET rc_run_d_reg_dp3=0;

     %sas_batch(dir_nm=&sasprograms_dp0., prg_nm_sh=run_d_reg_central);

    %run_all_dps(dp_cd_list=&dp_cd_list. ,prg_nm_sh=run_d_reg_dp);

		 DATA  _NULL_;	
		   CALL SLEEP(5,1);	
		 RUN;

	 %sas_batch(dir_nm=&sasprograms_dp0., prg_nm_sh=run_move_d_reg_files);

	 *	 %sas_batch(dir_nm=&sasprograms_dp0., prg_nm_sh=run_move_d_reg_files_linux);

	WAITFOR _ALL_ TIMEOUT=&max_run_time_in_sec. run_move_d_reg_files run_d_reg_central 
                                                   run_d_reg_dp1 run_d_reg_dp2 run_d_reg_dp3  ;

   %PUT rc_run_move_d_reg_files=&rc_run_move_d_reg_files.;
   %PUT rc_run_d_reg_central=&rc_run_d_reg_central.;
    %PUT rc_run_d_reg_dp1=&rc_run_d_reg_dp1.;
    %PUT rc_run_d_reg_dp2=&rc_run_d_reg_dp2.;
	%PUT rc_run_d_reg_dp3=&rc_run_d_reg_dp3.;

	LISTTASK _ALL_;
   * SYSTASK LIST _ALL_  STATE STATVAR ; 

/*

    X "cd &request_root.sasprograms"  ;

        %LET sas_exe=""%sysget(sasroot)&slash.sas.exe"" ;
		  %PUT sas_exe=&sas_exe.;
   
		   SYSTASK KILL run_move_d_reg_files;
	 SYSTASK COMMAND " &sas_exe. run_move_d_reg_files.sas" 
                    TASKNAME="run_move_d_reg_files" STATUS=rc_run_move_d_reg_files;

					%LET src_run_move_d_reg_files=&sysrc..; 

	 X "cd &request_root.sasprograms"  ;
      SYSTASK KILL run_d_reg_central;
	 SYSTASK COMMAND " &sas_exe. run_d_reg_central.sas" 
                    TASKNAME="run_d_reg_central" STATUS=rc_run_d_reg_central;

					%LET src_run_d_reg_central=&sysrc..; 

          %PUT src_run_move_d_reg_files=&src_run_move_d_reg_files;
		%PUT rc_run_d_reg_central=&rc_run_d_reg_central;

		%LET dp_cd=1;

	  X "cd &&sasprograms_dp&dp_cd."  ;
	   FILENAME dummy ".";
   %LET cur_dir=%SYSFUNC(PATHNAME(dummy));

   %PUT cur_dir=&cur_dir.;

    SYSTASK KILL run_d_reg_dp&dp_cd.;
	SYSTASK COMMAND " &sas_exe. run_d_reg_dp.sas -SYSPARM &dp_cd." 
                    TASKNAME="run_d_reg_dp&dp_cd." STATUS=rc_run_d_reg_dp&dp_cd.;

					%LET run_d_reg_dp=&sysrc..; 

					%PUT src_run_move_d_reg_files=&src_run_move_d_reg_files;
					%PUT rc_run_move_d_reg_files=&rc_run_move_d_reg_files;

					LISTTASK _ALL_;

					SYSTASK LIST _ALL_  STATE STATVAR ; 

					SYSTASK KILL run_move_d_reg_files;

					SYSTASK KILL  run_d_reg_central;

				   SYSTASK KILL move_d_reg_files;

                 SYSTASK KILL  run_d_reg_dp1;
				     %LET dp_cd=1;
     %sas_batch(dir_nm=&&sasprograms_dp&dp_cd., prg_nm_sh=&prg_nm_sh.
                                 ,taskname=run_d_reg_dp&dp_cd.
                                ,status=rc_run_d_reg_dp&dp_cd.
                                ,sysparm_l=&dp_cd.);

    %LET dp_cd=2;
     %sas_batch(dir_nm=&&sasprograms_dp&dp_cd., prg_nm_sh=&prg_nm_sh.
                                 ,taskname=run_d_reg_dp&dp_cd.
                                ,status=rc_run_d_reg_dp&dp_cd.
                                ,sysparm_l=&dp_cd.);



	%LET dp_cd=3;
     %sas_batch(dir_nm=&&sasprograms_dp&dp_cd., prg_nm_sh=&prg_nm_sh.
                                 ,taskname=run_d_reg_dp&dp_cd.
                                ,status=rc_run_d_reg_dp&dp_cd.
                                ,sysparm_l=&dp_cd.);

   */
